ALAS2-2019-1341


Amazon Linux 2 Security Advisory: ALAS-2019-1341
Advisory Release Date: 2019-10-28 17:42 Pacific
Advisory Updated Date: 2019-10-30 21:07 Pacific
Severity: Medium

Issue Overview:

A cross-site scripting vulnerability was found in Apache httpd, affecting the mod_proxy error page. Under certain circumstances, a crafted link could inject content into the HTML displayed in the error page, potentially leading to client-side exploitation.(CVE-2019-10092)

A vulnerability was discovered in Apache httpd, in mod_remoteip. A trusted proxy using the "PROXY" protocol could send specially crafted headers that can cause httpd to experience a stack buffer overflow or NULL pointer dereference, leading to a crash or other potential consequences.\n\nThis issue could only be exploited by configured trusted intermediate proxy servers. HTTP clients such as browsers could not exploit the vulnerability.(CVE-2019-10097)

A vulnerability was discovered in Apache httpd, in mod_rewrite. Certain self-referential mod_rewrite rules could be fooled by encoded newlines, causing them to redirect to an unexpected location. An attacker could abuse this flaw in a phishing attack or as part of a client-side attack on browsers.(CVE-2019-10098)


Affected Packages:

httpd


Issue Correction:
Run yum update httpd to update your system.

New Packages:
aarch64:
    httpd-2.4.41-1.amzn2.0.1.aarch64
    httpd-devel-2.4.41-1.amzn2.0.1.aarch64
    httpd-tools-2.4.41-1.amzn2.0.1.aarch64
    mod_ssl-2.4.41-1.amzn2.0.1.aarch64
    mod_md-2.4.41-1.amzn2.0.1.aarch64
    mod_proxy_html-2.4.41-1.amzn2.0.1.aarch64
    mod_ldap-2.4.41-1.amzn2.0.1.aarch64
    mod_session-2.4.41-1.amzn2.0.1.aarch64
    httpd-debuginfo-2.4.41-1.amzn2.0.1.aarch64

i686:
    httpd-2.4.41-1.amzn2.0.1.i686
    httpd-devel-2.4.41-1.amzn2.0.1.i686
    httpd-tools-2.4.41-1.amzn2.0.1.i686
    mod_ssl-2.4.41-1.amzn2.0.1.i686
    mod_md-2.4.41-1.amzn2.0.1.i686
    mod_proxy_html-2.4.41-1.amzn2.0.1.i686
    mod_ldap-2.4.41-1.amzn2.0.1.i686
    mod_session-2.4.41-1.amzn2.0.1.i686
    httpd-debuginfo-2.4.41-1.amzn2.0.1.i686

noarch:
    httpd-manual-2.4.41-1.amzn2.0.1.noarch
    httpd-filesystem-2.4.41-1.amzn2.0.1.noarch

src:
    httpd-2.4.41-1.amzn2.0.1.src

x86_64:
    httpd-2.4.41-1.amzn2.0.1.x86_64
    httpd-devel-2.4.41-1.amzn2.0.1.x86_64
    httpd-tools-2.4.41-1.amzn2.0.1.x86_64
    mod_ssl-2.4.41-1.amzn2.0.1.x86_64
    mod_md-2.4.41-1.amzn2.0.1.x86_64
    mod_proxy_html-2.4.41-1.amzn2.0.1.x86_64
    mod_ldap-2.4.41-1.amzn2.0.1.x86_64
    mod_session-2.4.41-1.amzn2.0.1.x86_64
    httpd-debuginfo-2.4.41-1.amzn2.0.1.x86_64